// index.js
// 获取应用实例
const app = getApp()

Page({
  data: {
    openid: '',
    posturl: 'http://192.168.1.40:8004',
    opentime: '30',
    videoURL1: 'https://open.ys7.com/v3/openlive/139420049_1_2.m3u8?expire=1656816177&id=333196254082080768&t=c41cdfd432adb3c214e1395c441fb2646a1ea8e678d44a4ab2a67c7d1b3c5fe9&ev=100',
    videoURL2: 'https://open.ys7.com/v3/openlive/139420049_10_2.m3u8?expire=1656899404&id=333545331712557056&t=73b7d8ab8bea4ac4d18200fbeb2ea48502ab9981f26a821b42b8fce34d940020&ev=100',
    videoshow: false,
    shareshow: false,
  },

  // 事件处理函数
  bindViewTap() {
    wx.navigateTo({
      url: '../logs/logs'
    })
  },
  networkcheck: function () {
    var stru = false
    wx.getNetworkType({
      success: function (res) {
        // networkType字段的有效值：
        // wifi/2g/3g/4g/unknown(Android下不常见的网络类型)/none(无网络)
        if (res.networkType == 'wifi') {
          //console.log("wifi")
          stru = true
        } else {
          wx.showToast({
            title: '仅 WIFI 下可用',
            icon: 'error', //如果要纯文本，不要icon，将值设为'none'
            duration: 2000
          })
          stru = false
        }
      }
    })
    return stru;
  },
  onShow() {
    console.log(this.data.videoshow)
  },
  onUnload: function () {//如果页面被卸载时被执行
  },
  onHide() {
    console.log("onHide")
    wx.reLaunch({
      url: '/pages/index/index'
    })
  },
  onLoad: function (options) {
    var that = this
    console.log(options)
    this.networkcheck()
    var userid = options.openid
    // var yunurl = options.posturl
    // var yuntime = options.opentime
    // var url1 = options.videoURL1
    // var url2 = options.videoURL2
    this.setData({
      openid: userid,
      // posturl: yunurl,
      // opentime: yuntime,
      // videoURL1: decodeURIComponent(url1),
      // videoURL2: decodeURIComponent(url2),
      videoshow : true
    })
    setTimeout(function () {
      that.onShow();
    }, 1000)

  },
  but1: function () { // 通过but点击事件触发后面的函数
    wx.request({
      url: this.data.posturl + "/register",
      method: "POST",
      data: {
        num: "0",
        id: this.data.openid,
        time: this.data.opentime,
      },
      header: {
        "Content-Type": "application/x-www-form-urlencoded"
      },
      success: function (res) {
        console.log(res.data);
        wx.navigateBack({
          delta: 1 //小程序关闭当前页面返回上一页面
        })
        if (res.data == "welcome") {
          wx.showToast({
            title: '开门成功',
            icon: 'success',
            duration: 2000
          })
        }
      },
      fail: (data) => {
        // 这里可以对请求超时之后。我们可以自定义的业务逻辑,这里只是简单举例
        wx.showToast({
          title: '请求超时',
          icon: 'error', //如果要纯文本，不要icon，将值设为'none'
          duration: 2000
        })
      },
    })
    this.networkcheck() //校验是不是wifi环境
  },
  but2: function () { // 通过but点击事件触发后面的函数
    wx.request({
      url: this.data.posturl + "/register",
      method: "POST",
      data: {
        num: "4",
        id: this.data.openid,
        time: this.data.opentime,
      },
      header: {
        "Content-Type": "application/x-www-form-urlencoded"
      },
      success: function (res) {
        console.log(res.data);
        wx.navigateBack({
          delta: 1 //小程序关闭当前页面返回上一页面
        })
        if (res.data == "welcome") {
          wx.showToast({
            title: '开门成功',
            icon: 'success',
            duration: 2000
          })
        } else {
          wx.showToast({
            title: '开门失败',
            icon: 'error', //如果要纯文本，不要icon，将值设为'none'
            duration: 2000
          })
        }
      },
      fail: (data) => {
        // 这里可以对请求超时之后。我们可以自定义的业务逻辑,这里只是简单举例
        wx.showToast({
          title: '请求超时',
          icon: 'error', //如果要纯文本，不要icon，将值设为'none'
          duration: 2000
        })
      },
    })
    this.networkcheck() //校验是不是wifi环境
  },
  // 长按复制
  copy: function (e) {
    var that = this;
    console.log(e);
    wx.setClipboardData({
      data: this.data.openid,
      success: function (res) {
        wx.showToast({
          title: '复制成功',
        });
      }
    });
  }
})